All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::device_specific::utils::size1_fun Struct Reference

`#include <utils.hpp>`

## Public Types

typedef vcl_size_t | result_type

## Public Member Functions

template<class T >
result_type | operator() (T const &t) const

## Detailed Description

Definition at line 341 of file utils.hpp.

## Member Typedef Documentation

typedef vcl_size_t viennacl::device_specific::utils::size1_fun::result_type

Definition at line 343 of file utils.hpp.

## Member Function Documentation

template<class T >

result_type viennacl::device_specific::utils::size1_fun::operator() | ( | T const & | t | ) | const

inline

Definition at line 345 of file utils.hpp.

The documentation for this struct was generated from the following file:

- viennacl/device_specific/utils.hpp